B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=6.8
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
    Dim g As GPS
	Dim ruta As String
	Dim skmt As SQL
	Dim c As Cursor
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim CANCELA As Button
	Dim GUARDA As Button
	Dim r_1 As RadioButton
	Dim r_2 As RadioButton
	Dim r_3 As RadioButton
	Dim e_comm As EditText
	Dim motivo As String
	Dim cuenta As String
	Dim usuario As String
    Dim sDate,sTime As String
'	Dim lat_gps, lon_gps As String
	
	Dim r_4 As RadioButton
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	If(FirstTime) Then
	 g.Initialize("GPS")
	End If
    
	Activity.LoadLayout("nopago")
    
	' valido donde escribo el archivo de la base de datos de kmt
	ruta = File.DirInternal
    If File.Exists(ruta, "kmt.db") = False Then
		File.Copy(File.DirAssets, "kmt.db", ruta, "kmt.db")
	End If
		 skmt.Initialize(ruta,"kmt.db", True)
	
End Sub

Sub Activity_Resume
	e_comm.Text=""
    If g.GPSEnabled=False Then
	  ToastMessageShow("Habilitar el GPS", True)
	  StartActivity(g.LocationSettingsIntent)
	 Else
	  g.Start(0,0)
	 End If

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	g.Start(0,0)

End Sub

Sub GPS_LocationChanged (Location1 As Location)
'lat_gps=Location1.ConvertToSeconds(Location1.Latitude)
'lon_gps=Location1.ConvertToSeconds(Location1.Longitude)
End Sub



Sub CANCELA_Click
	StartActivity(fila)
End Sub
Sub GUARDA_Click
If r_1.Checked Then
motivo = "CERRADO"
Else If r_2.Checked Then
motivo = "NO COMPRA"
Else If r_3.Checked Then
motivo = "CON PRODUCTO"
Else
motivo = "NO ESTA EL ENCARGADO"
End If
		DateTime.DateFormat = "MM/dd/yyyy"
		sDate=DateTime.Date(DateTime.Now)
		sTime=DateTime.Time(DateTime.Now)
        c=skmt.ExecQuery("select CUENTA from cuentaa")
        c.Position = 0
	    cuenta = c.GetString("CUENTA")
	    c=skmt.ExecQuery("select usuario from usuarioa")
		c.Position = 0
		usuario = c.GetString("USUARIO")
		c=skmt.ExecQuery("select PE_PROID,PE_CANT FROM PEDIDO where pe_cliente in (Select CUENTA from cuentaa) ")
	    If c.RowCount>0 Then
	       For i=0 To c.RowCount -1
		      c.Position=i
		      skmt.ExecNonQuery2("update cat_gunaprod set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_id = ?", Array As Object(c.GetString("PE_CANT"),c.GetString("PE_PROID")))
	       Next
	    End If
	
	
	    skmt.ExecNonQuery("delete from pedido_cliente where pc_cliente in (Select CUENTA from cuentaa)")
	    skmt.ExecNonQuery("delete from pedido where pe_cliente in (Select CUENTA from cuentaa)")
	
	skmt.ExecNonQuery2("INSERT INTO  NOVENTA (NV_CLIENTE,NV_FECHA,NV_USER,NV_MOTIVO,NV_COMM,NV_LAT,NV_LON) VALUES(?,?,?,?,?,?,?) ", Array As Object (cuenta,sDate & sTime, usuario, motivo,e_comm.text,Main.lat_gps,Main.lon_gps))
        skmt.ExecNonQuery("UPDATE kmt_info set gestion = 3  where CAT_CL_CODIGO In (select cuenta from cuentaa)")
	StartActivity(seleccion)
End Sub